=== debian/changelog ===
loki-ecmwf (0.2.1-2) unstable; urgency=medium

  * Fix py3dist-overrides for incorrect dep on python3-loki.
    Closes: #1069631

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Apr 2024 09:43:41 +0100

loki-ecmwf (0.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Mar 2024 08:04:41 +0000

loki-ecmwf (0.2.0-1) unstable; urgency=medium

  * New upstream release
  * Add python depends to python3-loki-ecmwf-lint-rules, python3-loki-
    ecmwf-transformations

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Mar 2024 09:18:34 +0000

loki-ecmwf (0.1.6-4) unstable; urgency=medium

  * Substvars creates incorrect deps on 'python3-loki'.
    Hard-code python3-loki-ecmwf

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Mar 2024 14:52:11 +0000

loki-ecmwf (0.1.6-3) unstable; urgency=medium

  * Fix VCS refs in d/control to science-team

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Feb 2024 08:44:12 +0000

loki-ecmwf (0.1.6-2) unstable; urgency=medium

  * Build-dep on pybuild-plugin-pyproject, python3-sphinx-rtd-theme,
    pandoc
  * add d/py3dist-overrides file
  * Add debian/* to d/copyright
  * Fix call to make docs: PYTHONPATH needs to be set
  * Fix typo that breaks privacy-breach replace in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Feb 2024 12:58:35 +0000

loki-ecmwf (0.1.6-1) experimental; urgency=medium

  * Initial release. (Closes: #1061367)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Feb 2024 13:19:21 +0000
