## loki-ecmwf 0.2.2

=== debian/changelog ===
loki-ecmwf (0.2.2-1) unstable; urgency=medium

  * New upstream release
  * Add misc:Depends for debhelper
  * Set Debian Science Maint. as maintainer
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Apr 2024 08:12:33 +0100
