=== debian/changelog ===
loki-ecmwf (0.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 May 2024 09:29:48 +0100
