=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: loki-ecmwf
 Section: python
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
@@ -26,14 +27,14 @@
  python3-myst-parser <!nodoc>,
  python3-sphinx-design <!nodoc>
 X-Python3-Version: >= 3.10
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ecmwf-ifs/loki
 Vcs-Browser: https://salsa.debian.org/science-team/loki-ecmwf.git
 Vcs-Git: https://salsa.debian.org/science-team/loki-ecmwf.git
 
 Package: python3-loki-ecmwf
 Architecture: all
-Depends: ${python3:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}
 Recommends: python3-loki-ecmwf-doc,
  python3-loki-ecmwf-transformations,
  python3-loki-ecmwf-lint-rules
@@ -55,6 +56,7 @@
 Package: python3-loki-ecmwf-doc
 Architecture: all
 Depends:  ${sphinxdoc:Depends},
+	 ${misc:Depends},
          libjs-mathjax,
          libjs-requirejs
 Built-Using: ${sphinxdoc:Built-Using}
@@ -67,7 +69,7 @@
 
 Package: python3-loki-ecmwf-transformations
 Architecture: all
-Depends: ${python3:Depends}
+Depends: ${python3:Depends},${misc:Depends}
 Description: Source-to-source translation for Fortran - IFS transformations
  Loki is an experimental tool to explore the possible use of source-to-source
  translation for ECMWF's Integrated Forecasting System (IFS) and associated
@@ -77,7 +79,7 @@
 
 Package: python3-loki-ecmwf-lint-rules
 Architecture: all
-Depends:  ${python3:Depends}
+Depends:  ${python3:Depends},${misc:Depends}
 Description: Source-to-source translation for Fortran - Lint rules
  Loki is an experimental tool to explore the possible use of source-to-source
  translation for ECMWF's Integrated Forecasting System (IFS) and associated
