## loki-ecmwf 0.2.6

=== debian/changelog ===
loki-ecmwf (0.2.6-1) unstable; urgency=medium

  * New upstream release. Closes: #1078288

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Aug 2024 08:34:43 +0100
