=== debian/rules ===
--- 
+++ 
@@ -23,13 +23,14 @@
 
 override_dh_auto_build:
 	PYBUILD_NAME=loki-ecmwf dh_auto_build -O--buildsystem=pybuild
-	PYBUILD_NAME=loki-ecmwf-transformations	dh_auto_build -O--buildsystem=pybuild --sourcedirectory=transformations
+	# transformations no longer a project
+	# PYBUILD_NAME=loki-ecmwf-transformations	dh_auto_build -O--buildsystem=pybuild --sourcedirectory=loki/transformations
 	PYBUILD_NAME=loki-ecmwf-lint-rules dh_auto_build -O--buildsystem=pybuild --sourcedirectory=lint_rules
 	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
 
 override_dh_auto_install:
 	PYBUILD_NAME=loki-ecmwf	dh_auto_install -O--buildsystem=pybuild
-	PYBUILD_NAME=loki-ecmwf-transformations	dh_auto_install -O--buildsystem=pybuild --sourcedirectory=transformations
+	PYBUILD_NAME=loki-ecmwf-transformations	dh_auto_install -O--buildsystem=pybuild --sourcedirectory=loki/transformations
 	PYBUILD_NAME=loki-ecmwf-lint-rules	dh_auto_install -O--buildsystem=pybuild --sourcedirectory=lint_rules
 	mv $(DESTDIR)/usr/bin/loki-lint.py  $(DESTDIR)/usr/bin/loki-lint
 	mv $(DESTDIR)/usr/bin/loki-transform.py $(DESTDIR)/usr/bin/loki-transform
