## loki-ecmwf 0.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,8 +34,9 @@
 # Version 3.12 required to use FindPython
 # Version 3.15 officially required to use Python3_FIND_VIRTUALENV (not working on 3.15.3,
 # though, and use 3.17 for conda support anyway)
-cmake_minimum_required( VERSION 3.17 FATAL_ERROR )
-find_package( ecbuild 3.4 REQUIRED HINTS ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild )
+# Version 3.19 for support of find_package version range and file(CHMOD)
+cmake_minimum_required( VERSION 3.19 FATAL_ERROR )
+find_package( ecbuild 3.7 REQUIRED )
 
 # Specify project and configuration options
 project( loki LANGUAGES NONE )
@@ -100,7 +101,8 @@
     # Setup Python virtual environment
     include( python_venv )
     set( loki_VENV_PATH ${CMAKE_CURRENT_BINARY_DIR}/loki_env )
-    setup_python_venv( ${loki_VENV_PATH} )
+    set( PYTHON_VERSION 3.8...<3.12 )
+    setup_python_venv( ${loki_VENV_PATH} ${PYTHON_VERSION} )
     install( DIRECTORY ${loki_VENV_PATH} DESTINATION . USE_SOURCE_PERMISSIONS )
 
     # Enable Pytest tests as ecbuild/ctest targets
@@ -114,6 +116,10 @@
             set( _TEST_PATH "$ENV{PATH}" )
         endif()
 
+        # Nesting the CMake tests into CTest does not correctly resolve
+        # search paths, therefore these are getting disabled here
+        set( _TEST_SELECTOR "${_TEST_SELECTOR} and not cmake")
+
         # ecbuild_add_test relies on the variables set by the _very_ outdated
         # FindPythonInterp, so we set the bare minimum here using the values
         # from our FindPython3 variables
@@ -124,15 +130,7 @@
             TYPE PYTHON
             TARGET loki_tests
             ARGS -m pytest -k ${_TEST_SELECTOR} -v
-            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/tests
-            ENVIRONMENT PATH=${Python3_VENV_BIN}:${_TEST_PATH}
-        )
-
-        ecbuild_add_test(
-            TYPE PYTHON
-            TARGET loki_transformations
-            ARGS -m pytest -k ${_TEST_SELECTOR} -v
-            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/transformations/tests
+            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
             ENVIRONMENT PATH=${Python3_VENV_BIN}:${_TEST_PATH}
         )
 
@@ -140,7 +138,7 @@
             TYPE PYTHON
             TARGET loki_lint_rules
             ARGS -m pytest -k ${_TEST_SELECTOR} -v
-            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/lint_rules/tests
+            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/lint_rules
             ENVIRONMENT PATH=${Python3_VENV_BIN}:${_TEST_PATH}
         )
 
@@ -175,17 +173,13 @@
     # We install Loki at configure time (for now), since bulk-transformation planning
     # requires configure time execution to allow injection with CMake targets.
 
-    message( STATUS "Install Loki in virtual environment" )
+    ecbuild_info( "Install Loki in virtual environment" )
     execute_process( COMMAND ${Python3_EXECUTABLE} -m pip install ${PIP_OPTIONS} ${CMAKE_CURRENT_SOURCE_DIR}${_INSTALL_OPTIONS} )
-    message( STATUS "Install Loki in virtual environment - done" )
-
-    message( STATUS "Install Loki transformations in virtual environment" )
-    execute_process( COMMAND ${Python3_EXECUTABLE} -m pip install ${PIP_OPTIONS} ${CMAKE_CURRENT_SOURCE_DIR}/transformations )
-    message( STATUS "Install Loki transformations in virtual environment - done" )
-
-    message( STATUS "Install Loki lint_rules in virtual environment" )
+    ecbuild_info( "Install Loki in virtual environment - done" )
+
+    ecbuild_info( "Install Loki lint_rules in virtual environment" )
     execute_process( COMMAND ${Python3_EXECUTABLE} -m pip install ${PIP_OPTIONS} ${CMAKE_CURRENT_SOURCE_DIR}/lint_rules )
-    message( STATUS "Install Loki lint_rules in virtual environment - done" )
+    ecbuild_info( "Install Loki lint_rules in virtual environment - done" )
 
     # Make the shebang in Python scripts use relative paths
     list(
