=== debian/changelog ===
loki-ecmwf (0.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Sep 2024 08:16:08 +0100
