=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	(cd loki; ln -s ../scripts )
+	# 'scripts' is too generic
+	mv scripts loki
 
 override_dh_auto_build:
 	PYBUILD_NAME=loki-ecmwf dh_auto_build -O--buildsystem=pybuild
