## loki-ecmwf 0.2.8

=== debian/changelog ===
loki-ecmwf (0.2.8-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Nov 2024 06:12:27 +0000
