=== debian/changelog ===
loki-ecmwf (0.2.10-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Dec 2024 16:08:49 +0000
