=== debian/changelog ===
loki-ecmwf (0.3.0-1) unstable; urgency=medium

  * New upstream release
  * Add build-dep on python3-pcpp, pytohn3-pymbolic, python3-fparser
     needed during doc building
  * d/control: drop unused python3:Depends
  * Re-enable tests, catch errors but don't fail this release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Jan 2025 12:30:08 +0000
