=== debian/control ===
--- 
+++ 
@@ -13,7 +13,10 @@
  python3-all, 
  python3-numpy,
  python3-codetiming,
+ python3-pcpp,
  python3-pydantic,
+ python3-pymbolic,
+ python3-fparser,
  python3-nbconvert <!nocheck>,
  python3-pandas <!nocheck>,
  python3-pytest <!nocheck>,
@@ -56,9 +59,7 @@
 Package: python3-loki-ecmwf-doc
 Architecture: all
 Depends:  ${sphinxdoc:Depends},
-	 ${misc:Depends},
-         libjs-mathjax,
-         libjs-requirejs
+	 ${misc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Source-to-source translation for Fortran - documentation
  Loki is an experimental tool to explore the possible use of source-to-source
@@ -69,7 +70,7 @@
 
 Package: python3-loki-ecmwf-transformations
 Architecture: all
-Depends: ${python3:Depends},${misc:Depends}
+Depends: ${misc:Depends}
 Description: Source-to-source translation for Fortran - IFS transformations
  Loki is an experimental tool to explore the possible use of source-to-source
  translation for ECMWF's Integrated Forecasting System (IFS) and associated
@@ -79,7 +80,7 @@
 
 Package: python3-loki-ecmwf-lint-rules
 Architecture: all
-Depends:  ${python3:Depends},${misc:Depends}
+Depends:  ${misc:Depends}
 Description: Source-to-source translation for Fortran - Lint rules
  Loki is an experimental tool to explore the possible use of source-to-source
  translation for ECMWF's Integrated Forecasting System (IFS) and associated
