=== debian/changelog ===
loki-ecmwf (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * Add python depends to python3- packages
  * Drop transformatons package; merged into main
  * Depend on networkx for doc building

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Mar 2025 07:44:55 +0000
