=== debian/control ===
--- 
+++ 
@@ -25,12 +25,13 @@
  pandoc <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-nbsphinx <!nodoc>,
+ python3-networkx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-recommonmark <!nodoc>,
  python3-myst-parser <!nodoc>,
  python3-sphinx-design <!nodoc>
 X-Python3-Version: >= 3.10
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ecmwf-ifs/loki
 Vcs-Browser: https://salsa.debian.org/science-team/loki-ecmwf.git
 Vcs-Git: https://salsa.debian.org/science-team/loki-ecmwf.git
@@ -39,7 +40,6 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
 Recommends: python3-loki-ecmwf-doc,
- python3-loki-ecmwf-transformations,
  python3-loki-ecmwf-lint-rules
 Description: Source-to-source translation for Fortran
  Loki is an experimental tool to explore the possible use of source-to-source
@@ -68,19 +68,9 @@
  .
  This package contains the HTML documentation for Loki.
 
-Package: python3-loki-ecmwf-transformations
-Architecture: all
-Depends: ${misc:Depends}
-Description: Source-to-source translation for Fortran - IFS transformations
- Loki is an experimental tool to explore the possible use of source-to-source
- translation for ECMWF's Integrated Forecasting System (IFS) and associated
- Fortran software packages.
- .
- This package contains the IFS transformation implementations for Loki.
-
 Package: python3-loki-ecmwf-lint-rules
 Architecture: all
-Depends:  ${misc:Depends}
+Depends:  ${python3:Depends}, ${misc:Depends}
 Description: Source-to-source translation for Fortran - Lint rules
  Loki is an experimental tool to explore the possible use of source-to-source
  translation for ECMWF's Integrated Forecasting System (IFS) and associated
