=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export PYBUILD_SYSTEM=pyproject
 export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
@@ -12,6 +12,9 @@
 include /usr/share/dpkg/pkg-info.mk
 
 DESTDIR:=$(CURDIR)/debian/python3-loki-ecmwf
+
+PYTHONPATH:=$(CURDIR)
+export PYTHONPATH
 
 # magic debhelper rule
 %:
@@ -48,4 +51,4 @@
 endif
 
 override_dh_auto_test:
-	@echo Skip tests this build
+	( dh_auto_test || echo "Don't fail on tests; just capture errors" )
