## loki-ecmwf 0.3.2

=== debian/changelog ===
loki-ecmwf (0.3.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 May 2025 16:01:26 +0100
