## loki-ecmwf 0.3.3

=== debian/changelog ===
loki-ecmwf (0.3.3-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2025 09:21:49 +0100

loki-ecmwf (0.3.3-1) experimental; urgency=medium

  * Mark python3-loki-ecmwf-doc  as MA: foreign
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Jul 2025 12:37:45 +0100
