## loki-ecmwf 0.3.4

=== debian/changelog ===
loki-ecmwf (0.3.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Sep 2025 10:23:51 +0100
