=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # magic debhelper rule
 %:
-	dh $@ --buildsystem=pybuild  --with python3,sphinxdoc 
+	dh $@ --buildsystem=pybuild  --with sphinxdoc
 
 override_dh_auto_configure:
 	dh_auto_configure
