=== debian/changelog ===
loki-ecmwf (0.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Oct 2025 10:38:34 +0100

loki-ecmwf (0.3.4-3) unstablE; urgency=medium

  * Fix whitespace errors that break loading. Closes: #1115187

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Oct 2025 12:27:51 +0100

loki-ecmwf (0.3.4-2) unstable; urgency=medium

  * Fix FTBFS due to git merge errors. Closes: #1117981

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Oct 2025 06:17:05 +0100
