=== debian/control ===
--- 
+++ 
@@ -58,6 +58,7 @@
 
 Package: python3-loki-ecmwf-doc
 Architecture: all
+Multi-Arch: foreign
 Depends:  ${sphinxdoc:Depends},
 	 ${misc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
